### Enumeration

# Soup CacheType

since: 3.0

#### Declaration

    enum Soup.CacheType

#### Description [src]

The type of cache; this affects what kinds of responses will be saved.

Available since: 3.0

#### Members

`SOUP_CACHE_SINGLE_USER`

  A single-user cache.

  - Value: `0`
  - Nickname: `single-user`
  - Available since: 3.0
`SOUP_CACHE_SHARED`

  A shared cache.

  - Value: `1`
  - Nickname: `shared`
  - Available since: 3.0